Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class LowerCase

    java.lang.Object
      org.modeshape.graph.query.model.LowerCase

All Implemented Interfaces:
  Serializable, DynamicOperand, LanguageObject, Visitable

Direct Known Subclasses:
  JcrLowerCase

    @Immutable
    public class LowerCase

extends Object
implements DynamicOperand

A dynamic operand that evaluates to the lower-case representation of the supplied operand, used in a `Comparison` constraint.

See Also:
  Serialized Form

Constructor Summary
`LowerCase(DynamicOperand operand)` Create a dynamic operand that evaluates to the lower-case representation of the supplied operand.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`DynamicOperand` | `operand()` Get the dynamic operand that is to be lower-cased.
`SelectorName` | `selectorName()` Get the selector symbol upon which this operand applies.
`Set<SelectorName>` | `selectorNames()` Get the selector symbols to which this operand applies.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LowerCase

    public LowerCase(DynamicOperand operand)

  Create a dynamic operand that evaluates to the lower-case representation of the supplied operand.

  Parameters:
    `operand` - the operand that is to be lower-cased

Method Detail

### operand

    public final DynamicOperand operand()

  Get the dynamic operand that is to be lower-cased.

  Returns:
    the dynamic operand; never null

### selectorName

    public SelectorName selectorName()

  Get the selector symbol upon which this operand applies.

  Returns:
    the one selector names used by this operand; never null

### selectorNames

    public Set<SelectorName> selectorNames()

  Get the selector symbols to which this operand applies.

  Specified by:
    `selectorNames` in interface `DynamicOperand`
  Returns:
    the immutable ordered set of non-null selector names used by this operand; never null and never empty
  See Also:
    `DynamicOperand.selectorNames()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.